GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Friends
grpc::AsynchronousService Class Reference

`#include <service_type.h>`

## Public Member Functions
| AsynchronousService (const char **method_names, size_t method_count)
| ~AsynchronousService ()

## Protected Member Functions
template<class Message >
void | RequestAsyncUnary (int index, ServerContext *context, Message *request, ServerAsyncStreamingInterface *stream, CompletionQueue *call_cq, ServerCompletionQueue *notification_cq, void *tag)
void | RequestClientStreaming (int index, ServerContext *context, ServerAsyncStreamingInterface *stream, CompletionQueue *call_cq, ServerCompletionQueue *notification_cq, void *tag)
template<class Message >
void | RequestServerStreaming (int index, ServerContext *context, Message *request, ServerAsyncStreamingInterface *stream, CompletionQueue *call_cq, ServerCompletionQueue *notification_cq, void *tag)
void | RequestBidiStreaming (int index, ServerContext *context, ServerAsyncStreamingInterface *stream, CompletionQueue *call_cq, ServerCompletionQueue *notification_cq, void *tag)

## Friends
class | Server

## Constructor & Destructor Documentation

grpc::AsynchronousService::AsynchronousService | ( | const char ** | method_names,
|  | size_t | method_count
| ) |  |
| inline

grpc::AsynchronousService::~AsynchronousService | ( |  | ) |
| inline

## Member Function Documentation

template<class Message >

void grpc::AsynchronousService::RequestAsyncUnary | ( | int | index,
|  | ServerContext * | context,
|  | Message * | request,
|  | ServerAsyncStreamingInterface * | stream,
|  | CompletionQueue * | call_cq,
|  | ServerCompletionQueue * | notification_cq,
|  | void * | tag
| ) |  |
| inline protected

void grpc::AsynchronousService::RequestBidiStreaming | ( | int | index,
|  | ServerContext * | context,
|  | ServerAsyncStreamingInterface * | stream,
|  | CompletionQueue * | call_cq,
|  | ServerCompletionQueue * | notification_cq,
|  | void * | tag
| ) |  |
| inline protected

void grpc::AsynchronousService::RequestClientStreaming | ( | int | index,
|  | ServerContext * | context,
|  | ServerAsyncStreamingInterface * | stream,
|  | CompletionQueue * | call_cq,
|  | ServerCompletionQueue * | notification_cq,
|  | void * | tag
| ) |  |
| inline protected

template<class Message >

void grpc::AsynchronousService::RequestServerStreaming | ( | int | index,
|  | ServerContext * | context,
|  | Message * | request,
|  | ServerAsyncStreamingInterface * | stream,
|  | CompletionQueue * | call_cq,
|  | ServerCompletionQueue * | notification_cq,
|  | void * | tag
| ) |  |
| inline protected

## Friends And Related Function Documentation

friend class Server
| friend

The documentation for this class was generated from the following file:

- include/grpc++/impl/service_type.h